#ifndef FINDSELECTION_H
#define FINDSELECTION_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <Qt3Support/Q3MimeSourceFactory>

class Ui_FindSelection
{
public:
    QGridLayout *gridLayout;
    QLabel *textLabel1;
    QLabel *textLabel3;
    QComboBox *inputProp;
    QSpacerItem *spacerItem;
    QSpacerItem *spacerItem1;
    QPushButton *findButton;
    QPushButton *cancelButton;
    QLabel *valueComment;
    QComboBox *filterOp;
    QLineEdit *filterValue;
    Q3ButtonGroup *buttonGroup2;
    QRadioButton *setToSelectionOpt;
    QRadioButton *addToSelectionOpt;
    QRadioButton *rmvFromSelectionOpt;
    QRadioButton *keepSelectionOpt;
    QComboBox *srcOpt;

    void setupUi(QDialog *FindSelection)
    {
    FindSelection->setObjectName(QString::fromUtf8("FindSelection"));
    gridLayout = new QGridLayout(FindSelection);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    textLabel1 = new QLabel(FindSelection);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(textLabel1->sizePolicy().hasHeightForWidth());
    textLabel1->setSizePolicy(sizePolicy);
    textLabel1->setWordWrap(false);

    gridLayout->addWidget(textLabel1, 0, 0, 1, 1);

    textLabel3 = new QLabel(FindSelection);
    textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(textLabel3->sizePolicy().hasHeightForWidth());
    textLabel3->setSizePolicy(sizePolicy1);
    textLabel3->setWordWrap(false);

    gridLayout->addWidget(textLabel3, 1, 0, 1, 1);

    inputProp = new QComboBox(FindSelection);
    inputProp->setObjectName(QString::fromUtf8("inputProp"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(0));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(inputProp->sizePolicy().hasHeightForWidth());
    inputProp->setSizePolicy(sizePolicy2);

    gridLayout->addWidget(inputProp, 0, 1, 1, 2);

    spacerItem = new QSpacerItem(50, 20, QSizePolicy::Fixed, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 1, 3, 1, 1);

    spacerItem1 = new QSpacerItem(20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding);

    gridLayout->addItem(spacerItem1, 3, 2, 1, 1);

    findButton = new QPushButton(FindSelection);
    findButton->setObjectName(QString::fromUtf8("findButton"));

    gridLayout->addWidget(findButton, 0, 4, 1, 1);

    cancelButton = new QPushButton(FindSelection);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    gridLayout->addWidget(cancelButton, 1, 4, 1, 1);

    valueComment = new QLabel(FindSelection);
    valueComment->setObjectName(QString::fromUtf8("valueComment"));
    QFont font;
    font.setPointSize(8);
    valueComment->setFont(font);
    valueComment->setWordWrap(false);

    gridLayout->addWidget(valueComment, 2, 1, 1, 2);

    filterOp = new QComboBox(FindSelection);
    filterOp->setObjectName(QString::fromUtf8("filterOp"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(filterOp->sizePolicy().hasHeightForWidth());
    filterOp->setSizePolicy(sizePolicy3);
    filterOp->setMinimumSize(QSize(106, 0));

    gridLayout->addWidget(filterOp, 1, 1, 1, 1);

    filterValue = new QLineEdit(FindSelection);
    filterValue->setObjectName(QString::fromUtf8("filterValue"));

    gridLayout->addWidget(filterValue, 1, 2, 1, 1);

    buttonGroup2 = new Q3ButtonGroup(FindSelection);
    buttonGroup2->setObjectName(QString::fromUtf8("buttonGroup2"));
    buttonGroup2->setMinimumSize(QSize(0, 44));
    setToSelectionOpt = new QRadioButton(buttonGroup2);
    setToSelectionOpt->setObjectName(QString::fromUtf8("setToSelectionOpt"));
    setToSelectionOpt->setGeometry(QRect(10, 20, 60, 21));
    setToSelectionOpt->setChecked(true);
    addToSelectionOpt = new QRadioButton(buttonGroup2);
    addToSelectionOpt->setObjectName(QString::fromUtf8("addToSelectionOpt"));
    addToSelectionOpt->setGeometry(QRect(80, 20, 65, 21));
    rmvFromSelectionOpt = new QRadioButton(buttonGroup2);
    rmvFromSelectionOpt->setObjectName(QString::fromUtf8("rmvFromSelectionOpt"));
    rmvFromSelectionOpt->setGeometry(QRect(145, 20, 85, 21));
    keepSelectionOpt = new QRadioButton(buttonGroup2);
    keepSelectionOpt->setObjectName(QString::fromUtf8("keepSelectionOpt"));
    keepSelectionOpt->setGeometry(QRect(235, 20, 105, 21));
    srcOpt = new QComboBox(buttonGroup2);
    srcOpt->setObjectName(QString::fromUtf8("srcOpt"));
    srcOpt->setGeometry(QRect(360, 15, 110, 27));

    gridLayout->addWidget(buttonGroup2, 4, 0, 1, 5);


    retranslateUi(FindSelection);

    QSize size(503, 192);
    size = size.expandedTo(FindSelection->minimumSizeHint());
    FindSelection->resize(size);

    QObject::connect(cancelButton, SIGNAL(clicked()), FindSelection, SLOT(reject()));
    QObject::connect(findButton, SIGNAL(clicked()), FindSelection, SLOT(accept()));
    QObject::connect(inputProp, SIGNAL(activated(int)), FindSelection, SLOT(propertyChanged(int)));

    filterOp->setCurrentIndex(2);


    QMetaObject::connectSlotsByName(FindSelection);
    } // setupUi

    void retranslateUi(QDialog *FindSelection)
    {
    FindSelection->setWindowTitle(QApplication::translate("FindSelection", "Find Selection", 0, QApplication::UnicodeUTF8));
    textLabel1->setText(QApplication::translate("FindSelection", "Input property :", 0, QApplication::UnicodeUTF8));
    textLabel3->setText(QApplication::translate("FindSelection", "Filter :", 0, QApplication::UnicodeUTF8));
    findButton->setText(QApplication::translate("FindSelection", "Find", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("FindSelection", "Cancel", 0, QApplication::UnicodeUTF8));
    valueComment->setText(QApplication::translate("FindSelection", "( enter a value)", 0, QApplication::UnicodeUTF8));
    filterOp->clear();
    filterOp->addItem(QApplication::translate("FindSelection", "<", 0, QApplication::UnicodeUTF8));
    filterOp->addItem(QApplication::translate("FindSelection", "<=", 0, QApplication::UnicodeUTF8));
    filterOp->addItem(QApplication::translate("FindSelection", "==", 0, QApplication::UnicodeUTF8));
    filterOp->addItem(QApplication::translate("FindSelection", ">=", 0, QApplication::UnicodeUTF8));
    filterOp->addItem(QApplication::translate("FindSelection", ">", 0, QApplication::UnicodeUTF8));
    filterOp->addItem(QApplication::translate("FindSelection", "!=", 0, QApplication::UnicodeUTF8));
    buttonGroup2->setTitle(QApplication::translate("FindSelection", "Options", 0, QApplication::UnicodeUTF8));
    setToSelectionOpt->setText(QApplication::translate("FindSelection", "Copy", 0, QApplication::UnicodeUTF8));
    addToSelectionOpt->setText(QApplication::translate("FindSelection", "Add", 0, QApplication::UnicodeUTF8));
    rmvFromSelectionOpt->setText(QApplication::translate("FindSelection", "Remove", 0, QApplication::UnicodeUTF8));
    keepSelectionOpt->setText(QApplication::translate("FindSelection", "Intersection", 0, QApplication::UnicodeUTF8));
    srcOpt->clear();
    srcOpt->addItem(QApplication::translate("FindSelection", "On nodes", 0, QApplication::UnicodeUTF8));
    srcOpt->addItem(QApplication::translate("FindSelection", "On edges", 0, QApplication::UnicodeUTF8));
    srcOpt->addItem(QApplication::translate("FindSelection", "On both", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(FindSelection);
    } // retranslateUi

};

namespace Ui {
    class FindSelection: public Ui_FindSelection {};
} // namespace Ui

class FindSelection : public QDialog, public Ui::FindSelection
{
    Q_OBJECT

public:
    FindSelection(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~FindSelection();

protected slots:
    virtual void languageChange();

    virtual void propertyChanged( int );


};

#endif // FINDSELECTION_H
